- Qt 6.11
- Qt WebEngine
- QML Types
- WebEngineView
- Qt 6.11.1 Reference Documentation

# Obsolete Members for WebEngineView

The following members of QML type WebEngineView are deprecated. They are provided to keep old source code working. We strongly advise against using them in new code.

## Properties

- Feature : enumeration `(deprecated in 6.8)`

## Signals

- featurePermissionRequested(url securityOrigin, Feature feature) `(since QtWebEngine 1.1, deprecated in 6.8)`
- quotaRequested(webEngineQuotaRequest request) `(since QtWebEngine 1.7, deprecated in 6.5)`

## Methods

- void grantFeaturePermission(url securityOrigin, Feature feature, bool granted) `(since QtWebEngine 1.1, deprecated in 6.8)`

## Property Documentation

### Feature : enumeration `[deprecated in 6.8]`

This property is deprecated since QtWebEngine 6.8. We strongly advise against using it in new code.

Replaced by WebEnginePermission.PermissionType.

Describes the platform feature access categories that the user may be asked to grant or deny access to:

Constant | Description
--- | ---
`WebEngineView.Geolocation` | Location hardware or service.
`WebEngineView.MediaAudioCapture` | Audio capture devices, such as microphones.
`WebEngineView.MediaVideoCapture` | Video devices, such as cameras.
`WebEngineView.MediaAudioVideoCapture` | Both audio and video capture devices.
`WebEngineView.DesktopVideoCapture (since Qt 5.10)` | Video output capture, that is, the capture of the user's display.
`WebEngineView.DesktopAudioVideoCapture (since Qt 5.10)` | Both audio and video output capture.
`WebEngineView.Notifications` | Web notifications for the end-user.
`WebEngineView.ClipboardReadWrite (since Qt 6.8)` | Read and write access for the clipboard. If both javascriptCanPaste and javascriptCanAccessClipboard settings are enabled, this permission will always be granted automatically and no feature requests will be made.
`WebEngineView.LocalFontsAccess (since Qt 6.8)` | Access to the fonts installed on the user's machine. Only available on desktop platforms.

See also featurePermissionRequested() and grantFeaturePermission().

## Signal Documentation

### `[since QtWebEngine 1.1, deprecated in 6.8]` featurePermissionRequested(url securityOrigin, Feature feature)

This signal is deprecated since QtWebEngine 6.8. We strongly advise against using it in new code.

Use permissionRequested() instead.

This signal is emitted when the web site identified by securityOrigin requests to make use of the resource or device identified by feature.

Note: The corresponding handler is `onFeaturePermissionRequested`.

This signal was introduced in QtWebEngine 1.1.

See also grantFeaturePermission().

### `[since QtWebEngine 1.7, deprecated in 6.5]` quotaRequested(webEngineQuotaRequest request)

This signal is deprecated since QtWebEngine 6.5. We strongly advise against using it in new code.

This signal is no longer emitted.

Requesting host quota is no longer supported by Chromium. The behavior of navigator.webkitPersistentStorage is identical to navigator.webkitTemporaryStorage.

For further details, see https://crbug.com/1233525

Note: The corresponding handler is `onQuotaRequested`.

This signal was introduced in QtWebEngine 1.7.

See also webEngineQuotaRequest.

## Method Documentation

### `[since QtWebEngine 1.1, deprecated in 6.8]` void grantFeaturePermission(url securityOrigin, Feature feature, bool granted)

This method is deprecated since QtWebEngine 6.8. We strongly advise against using it in new code.

Use webEnginePermission.grant() or webEnginePermission.deny() instead.

Sets or unsets the permission, depending on granted, for the web site identified by securityOrigin to use feature.

This method was introduced in QtWebEngine 1.1.

See also featurePermissionRequested().